


# DeletedEvent class






    *[<Null safety>](https://dart.dev/null-safety)*



<p>When a user deleted his account.</p>



**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [Equatable](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable-class.html)
- [AuthenticationChangeEvent](../wyatt_authentication_bloc/AuthenticationChangeEvent-class.md)
- DeletedEvent








## Constructors

[DeletedEvent](../wyatt_authentication_bloc/DeletedEvent/DeletedEvent.md) ()

  _const_ 


## Properties

##### [hashCode](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [props](../wyatt_authentication_bloc/AuthenticationChangeEvent/props.md) &#8594; [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)?>



The list of properties that will be used to determine whether
two instances are equal.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [stringify](../wyatt_authentication_bloc/AuthenticationChangeEvent/stringify.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



If set to <code>true</code>, the <a href="https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/toString.html">toString</a> method will be overridden to output
this instance's <a href="../wyatt_authentication_bloc/AuthenticationChangeEvent/props.md">props</a>.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toString](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















